org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions

## Class WindowsConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions.WindowsConfigurationException

- All Implemented Interfaces:
    Serializable

      public class WindowsConfigurationException
      extends Exception

  Custom class for windows device configurations.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsConfigurationException()`
    `WindowsConfigurationException(String msg)`
    `WindowsConfigurationException(String msg, Exception exception)`
    `WindowsConfigurationException(String msg, Throwable cause)`
    `WindowsConfigurationException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMessage()`
    `void` | `setErrorMessage(String errorMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsConfigurationException

          public WindowsConfigurationException(Throwable cause)

    - #### WindowsConfigurationException

          public WindowsConfigurationException()

    - #### WindowsConfigurationException

          public WindowsConfigurationException(String msg)

    - #### WindowsConfigurationException

          public WindowsConfigurationException(String msg,
                                       Throwable cause)

    - #### WindowsConfigurationException

          public WindowsConfigurationException(String msg,
                                       Exception exception)

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

Copyright © 2017 WSO2. All rights reserved.